FROM lob-docker.jfrog.io/cipipeline/alpine/base/int:latest
VOLUME /root/.ssh
VOLUME /tmp
ADD scripts/ /opt/pipeline/scripts/
#AWS CLI
RUN apk -v --update add \
        python3 \
        groff \
        less \
        mailcap \
        dialog \
        coreutils && \ 
    python3 -m pip install --upgrade pip && \
    pip install --upgrade boto3 awscli python-magic requests semversioner && \
    apk -v --purge del py-pip && \
    rm -rf /opt/pipeline/scripts/buildORpromote.sh && \
    ln -s /opt/pipeline/scripts/buildOrPromote.sh /opt/pipeline/scripts/buildORpromote.sh && \
    ln -s /opt/pipeline/scripts/deployOrPromote.sh /opt/pipeline/scripts/promoteOrDeploy.sh
#gradle
RUN curl --silent --show-error --location --fail --retry 3 --output /tmp/gradle.zip https://services.gradle.org/distributions/gradle-4.3-bin.zip && \
    unzip -d /opt /tmp/gradle.zip && \
    ln -s /opt/gradle-* /opt/gradle  
#ruby
RUN apk -v --update add ruby ruby-irb ruby-rdoc ruby-dev && \
    apk add --no-cache --repository http://dl-cdn.alpinelinux.org/alpine/v3.10/main/ ruby-webrick && \
    gem install aws-sdk -v 2.3

#pact dependencies
RUN wget -q -O /etc/apk/keys/sgerrand.rsa.pub https://alpine-pkgs.sgerrand.com/sgerrand.rsa.pub \
  && cd /tmp \
  && wget https://github.com/sgerrand/alpine-pkg-glibc/releases/download/2.29-r0/glibc-2.29-r0.apk \
  && apk add glibc-2.29-r0.apk

ENV PATH="/opt/sbt/bin:/opt/apache-maven/bin:/opt/apache-ant/bin:/opt/gradle/bin:$PATH"

ENTRYPOINT [ "node" ]